#ifndef __INC_POS_PGFX_COLOREX_H
#define __INC_POS_PGFX_COLOREX_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>ColorEx.h<<   28 Sep 1996    17:10:39 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_SEMA_H
#include <pExec/Sema.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_ColorMapEx
{
  struct pOS_Semaphore     cme_Lock;
  UWORD                    cme_Colors;
  ULONG                    cme_Flags;  /* (enum pOS_ColorMapExFlags) */
  struct pOS_ColorMapExAc *cme_Ac;
  struct pOS_MonFile      *cme_MonFile;

  UBYTE cme_Reserved[16];
};


/*----------------------------------
-----------------------------------*/
struct pOS_ColorMapExAc
{
  UBYTE  cmea_Flags;    /* (enum pOS_ColorMapExAFlags) */
  UBYTE  cmea_Pad;
  UWORD  cmea_NestCnt;
};


enum pOS_ColorMapExFlags /* cme_Flags */
{
  COLMEXF_None          = 0x0000,
  COLMEXF_Alternate     = 0x0001, /* Palette wurde verndert */
};


enum pOS_ColorMapExAFlags /* cmea_Flags */
{
  COLMEXAF_None         = 0x00,
  COLMEXAF_Shared       = 0x01, /* Index ist shared */
  COLMEXAF_Flow         = 0x02, /* nur in Verbindung mit COLMEXAF_Shared
                                ** Der Farbwert wird bei Bedarf minimal verndert.
                                */

  COLMEXAF_Lock         = 0x80, /* Index ist gelockt */
};


#endif
