#ifndef __INC_POS_PGFX_GFXMAP_H
#define __INC_POS_PGFX_GFXMAP_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>GfxMap.h<<   23 Oct 1996    15:52:15 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_TYPES_H
#include <pExec/Types.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_GfxMap
{
  struct pOS_GfxLibrary *gm_Base;
  ULONG                  gm_UserData[2];
  ULONG                  gm_Width;
  ULONG                  gm_Height;
  UWORD                  gm_Type;        /* (enum pOS_GfxMapType) */
  UWORD                  gm_Pad;
  ULONG                  gm_Flags;       /* (enum pOS_GfxMapFlags) */
  struct pOS_GfxMapEx   *gm_Ex;          /* System-Extension */
  UBYTE gm_Reserved[32];
};




enum pOS_GfxMapFlags /* gm_Flags */
{
  GFXMAPF_Draw    = 0x0001,     /* in die GfxMap kann gezeichnet werden */
  GFXMAPF_Display = 0x0002,     /* die GfxMap kann angezeicht werden */


  GFXMAPF_Clear=    0x80000000, /* GfxMap ist genullt */
};


enum pOS_GfxMapType /* gm_Type */
{
  GFXMAPTYP_None=0,
  GFXMAPTYP_Planar,     /* Planar-Map */
  GFXMAPTYP_BitMask,    /* 1Bit - Map */
  GFXMAPTYP_Chunky8,    /* 8Bit-Chunky */


  GFXMAPTYP_StdPlanar=0x80, /* (struct pOS_StdPlanarGfxMap) */
  GFXMAPTYP_StdChunky8,     /* (struct pOS_StdChunky8GfxMap) */
  GFXMAPTYP_StdRGB8,        /* (struct pOS_StdRGB8GfxMap) */
  GFXMAPTYP_StdMask,        /* (struct pOS_StdMaskGfxMap) */
  GFXMAPTYP_StdRGBA8,       /* (struct pOS_StdRGBA8GfxMap) */
  GFXMAPTYP_StdAlpha8,      /* (struct pOS_StdAlpha8GfxMap) */
  GFXMAPTYP_MAXStd
};



#endif
