#ifndef __INC_POS_PGFX_MONFILE_H
#define __INC_POS_PGFX_MONFILE_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>MonFile.h<<   25 Jan 1997    09:38:51 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_LIST_H
#include <pExec/List.h>
#endif

/*----------------------------------
-----------------------------------*/
struct pOS_MonFile
{
  struct pOS_ExNode      mfh_Node;
  struct pOS_MonDevice  *mfh_MonDev;
  UBYTE                  mfh_Access;     /* (enum pOS_MonFileMode) */
  UBYTE                  mfh_Flags;      /* (enum pOS_MonFileFlags) */
  UWORD                  mfh_Count;      /* multi use counter */
  struct pOS_GfxLibrary *mfh_Base;
  ULONG                  mfh_BaseUse[2]; /* Private for dpi_Base */
  struct pOS_Screen     *mfh_Screen;     /* set by pintui */
  struct pOS_ColorMap   *mfh_ColorMap;
  struct pOS_RasInfo    *mfh_RasInfo;
  SLONG                  mfh_LeftEdge;
  SLONG                  mfh_TopEdge;
  ULONG                  mfh_Width;
  ULONG                  mfh_Height;
  struct pOS_View       *mfh_View;      /* Back-Link */
  struct pOS_ViewPort   *mfh_ViewPort;  /* Back-Link */

  UBYTE mfh_Reserved[32];
};


enum pOS_MonFileFlags
{
  MONHDF_Net = 0x04,
};


enum pOS_MonFileMode
{
  MONHDMOD_Unknown=0,
  MONHDMOD_Display = 0x01, /* is really display */

  MONHDMOD_AcMsk = 0x0f,  /* Mask for Access-Mode */
};



#endif
