#ifndef __INC_POS_PGFX_STDGMAP_H
#define __INC_POS_PGFX_STDGMAP_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>StdGMap.h<<   17 Jan 1997    12:01:31 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PGFX_GFXMAP_H
#include <pGFX/GfxMap.h>
#endif


/*----------------------------------
plgm_Gfx.gm_Type = GFXMAPTYP_StdPlanar
 PlaneSize = plgm_BytesPerRow*gm_Height
-----------------------------------*/
struct pOS_StdPlanarGfxMap
{
  struct pOS_GfxMap  plgm_Gfx;
  UWORD              plgm_BytesPerRow; /* ( (gm_Width+15)/8 ) & ~0x01 */
  UBYTE              plgm_Depth;       /* Anzahl der gltigen plgm_Planes[]-Zeigern */
  UBYTE              plgm_Pad;
  UBYTE             *plgm_Planes[8];
};


/*----------------------------------
ckgm_Gfx.gm_Type = GFXMAPTYP_StdChunky8
 PlaneSize = gm_Width*gm_Height
-----------------------------------*/
struct pOS_StdChunky8GfxMap
{
  struct pOS_GfxMap  ckgm_Gfx;
  UBYTE             *ckgm_Chunky;
};


/*----------------------------------
rgbgm_Gfx.gm_Type = GFXMAPTYP_StdRGB8
 PlaneSize = gm_Width*gm_Height
-----------------------------------*/
struct pOS_StdRGB8GfxMap
{
  struct pOS_GfxMap  rgbgm_Gfx;
  ULONG              rgbgm_Pad;
  UBYTE             *rgbgm_R;
  UBYTE             *rgbgm_G;
  UBYTE             *rgbgm_B;
};


/*----------------------------------
mkgm_Gfx.gm_Type = GFXMAPTYP_StdMask
 PlaneSize = mkgm_BytesPerRow*gm_Height
-----------------------------------*/
struct pOS_StdMaskGfxMap
{
  struct pOS_GfxMap  mkgm_Gfx;
  UWORD              mkgm_BytesPerRow; /* ( (gm_Width+15)/8 ) & ~0x01 */
  UBYTE              mkgm_Depth;       /* always 1 */
  UBYTE              mkgm_Pad;
  UBYTE             *mkgm_Plane;
};


/*----------------------------------
ragm_Gfx.gm_Type = GFXMAPTYP_StdRGBA8
 PlaneSize = gm_Width*gm_Height
-----------------------------------*/
struct pOS_StdRGBA8GfxMap
{
  struct pOS_GfxMap  ragm_Gfx;
  UBYTE             *ragm_A;
  UBYTE             *ragm_R;
  UBYTE             *ragm_G;
  UBYTE             *ragm_B;
};

/*----------------------------------
aagm_Gfx.gm_Type = GFXMAPTYP_StdAlpha8
 PlaneSize = gm_Width*gm_Height
-----------------------------------*/
struct pOS_StdAlpha8GfxMap
{
  struct pOS_GfxMap  aagm_Gfx;
  UBYTE             *aagm_A;
};



#endif
